module Simbiotes
  class InitializerGenerator < Rails::Generators::Base
    source_root File.expand_path('../templates', __FILE__)
    argument :portal, :type => :string, :required => false
    
    def copy_initializer_file
      if portal == "true"
        @c = Simbiotes::Portal.parse_all_interfaces
        template "simbiotes_targets.rb.erb", "config/initializers/simbiotes_targets.rb"
      else
        template "simbiotes.rb.erb", "config/initializers/simbiotes.rb"
        template "simbiotes_settings.rb.erb", "db/migrate/#{date_string}_create_simbiotes_settings.rb"
        template "setting.rb.erb", "app/models/simbiotes_setting.rb"
        #template "simbiotes_module.rb.erb", "app/models/simbiotes.rb"    
      end
    end


    
    private

    def date_string
      date_string = DateTime.now.strftime("%Y%m%d%H%M%S")
    end    
    
  end
end